--- old/usr/src/uts/common/fs/dev/sdev_vtops.c	Sun Jun 11 17:02:55 2017
+++ new/usr/src/uts/common/fs/dev/sdev_vtops.c	Sun Jun 11 17:02:55 2017
@@ -40,9 +40,6 @@
 #include <sys/vt_impl.h>
 #include <sys/note.h>
 
-/* warlock in this file only cares about variables shared by vt and devfs */
-_NOTE(SCHEME_PROTECTS_DATA("Do not care", sdev_node vattr vnode))
-
 #define	DEVVT_UID_DEFAULT	SDEV_UID_DEFAULT
 #define	DEVVT_GID_DEFAULT	(0)
 #define	DEVVT_DEVMODE_DEFAULT	(0600)
@@ -197,13 +194,8 @@
 		type = SDEV_VATTR;
 	}
 
-/* Give warlock a more clear call graph */
-#ifndef __lock_lint
 	error = devname_lookup_func(sdvp, nm, vpp, cred,
 	    devvt_create_rvp, type);
-#else
-	devvt_create_rvp(0, 0, 0, 0, 0, 0);
-#endif
 
 	if (error == 0) {
 		switch ((*vpp)->v_type) {
@@ -362,15 +354,10 @@
 	cnt = VC_INSTANCES_COUNT;
 	mutex_exit(&vc_lock);
 
-/* We have to fool warlock this way, otherwise it will complain */
-#ifndef	__lock_lint
 	if (rw_tryupgrade(&sdvp->sdev_contents) == NULL) {
 		rw_exit(&sdvp->sdev_contents);
 		rw_enter(&sdvp->sdev_contents, RW_WRITER);
 	}
-#else
-	rw_enter(&sdvp->sdev_contents, RW_WRITER);
-#endif
 
 	/* 1.  prune invalid nodes and rebuild stale symlinks */
 	devvt_prunedir(sdvp);
@@ -421,11 +408,7 @@
 	if (!(found & 0x02))
 		devvt_create_snode(sdvp, DEVVT_CONSUSER_NAME, cred, SDEV_VLINK);
 
-#ifndef	__lock_lint
 	rw_downgrade(&sdvp->sdev_contents);
-#else
-	rw_exit(&sdvp->sdev_contents);
-#endif
 }
 
 /*ARGSUSED4*/
